Summary:	A user friendly IRC Client for KDE
Name:		konversation
Version:	1.7.4
Release:	1
License:	GPLv2+
Group:		Networking/IRC
Url:		http://konversation.kde.org
Source0:	http://fr2.rpmfind.net/linux/KDE/stable/konversation/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5archive-devel
BuildRequires:	kf5bookmarks-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5emoticons-devel
BuildRequires:	kf5globalaccel-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5idletime-devel
BuildRequires:	kf5itemviews-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5notifyconfig-devel
BuildRequires:	kf5parts-devel
BuildRequires:	kf5solid-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(qca2-qt5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	qca2-qt5
Requires:	qca2-qt5-plugin-openssl
Requires:	qca2-qt5-plugin-gnupg

%description
Konversation is a graphical Internet Relay Chat client (IRC)
with KDE support.

Features:

* Standard IRC features
* SSL server support
* Bookmarking support
* Easy to use graphical user interface
* Multiple servers and channels in one single window
* DCC file transfer
* Multiple identities for different servers
* Text decorations and colors
* OnScreen Display for notifications
* Automatic UTF-8 detection
* Per channel encoding support
* Theme support for nick icons
* Highly configurable

%files -f %{name}.lang
%doc README
%{_kde5_bindir}/konversation
%{_kde5_applicationsdir}/org.kde.konversation.desktop
%{_kde5_datadir}/konversation/
%{_kde5_datadir}/kconf_update/konversation*
%{_kde5_iconsdir}/hicolor/*/actions/konv_message.*
%{_kde5_iconsdir}/hicolor/*/apps/konversation.*
%{_kde5_notificationsdir}/konversation.notifyrc
%{_kde5_xmlguidir}/konversation/konversationui.rc
%{_appdatadir}/org.kde.konversation.appdata.xml

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --with-kde --with-html

%changelog

* Fri Dec 08 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.7.4-1
- (15ca9f7) New version 1.7.4
- (15ca9f7) Switch to KF5


